Re: [Wien] mpi compilation problem

2016-12-27 Thread César
Hi, Thank you in advance. I will check your solución as soon as i could but I am pretty sure it will be fine. Seems like the new mkl does not installs cluster libs under a non-commertial license. For now, I ve got no errors during the compilation by using the static libscalapak.a from

Re: [Wien] mpi compilation problem

2016-12-27 Thread Peter Blaha
The attached hmsec.F for lapwso contains the old and new Scalapack routines. Add -Dold_scalapack to the parallel compiler options. Please note: There are cases, where the old Scalapack diagonalization fails. On 12/23/2016 03:47 PM, cesar wrote: Hi, I'm having a problem to get WIEN2k_16

Re: [Wien] mpi compilation problem

2016-12-23 Thread Ruh Thomas
Hi, this should be due to your (old) ScaLAPACK version not having those routines included. You can try to add the switch " -Dold_scalapack " (no quoation marks) to your compiler options - that should compile lapw1_mpi with pdsyevx instead of the newer algorithm. However, at the moment there